al_get_font_ranges(3)

NAME

al_get_font_ranges - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_font.h>
    int al_get_font_ranges(ALLEGRO_FONT *f, int ranges_count, int *ranges)

DESCRIPTION

Gets information about all glyphs contained in a font, as a list of ranges. Ranges have the same format as with al_grab_font_from_bitmap(3).

ranges_count is the maximum number of ranges that will be returned.

ranges should be an array with room for ranges_count * 2 elements. The even integers are the first unicode point in a range, the odd integers the last unicode point in a range.

Returns the number of ranges contained in the font (even if it is bigger than ranges_count).

SINCE

5.1.4

SEE ALSO

al_grab_font_from_bitmap(3)